Subject: RE: [AAA-WG]: Steve's Comments (RE: Evaluation: draft-ietf-aaa-diameter - Diameter Base Protocol to Proposed Standard)

From: <[email-masked]>
Date: Tue, 3 Dec 2002 18:33:37 +0200

Hi Jari,

> This name has caused enough confusion, let's change it. Let's just
> call it "Encryption" and then let the explanation in 4.6 explain
> what it means.

Does the existing explanation still stand, or do you can you provide one?
 
> >>	What is the SHLD NOT column?  It's never used in that table.
> 
> I guess its there just for consistence, for the possibility that
> some AVP, some day, would have a rule about flags that involved
> SHLD NOT. We do NOT have any in the base, but for consistence
> perhaps all the Diameter specs should have the table in the same
> format.
> 
> Anyways, I'm fine with removing this or keeping it.

Lets keep it, it does no harn.
 
> >>	I don't see the reasoning for some of the settings of that
> >>	flag.  For example, I would think that the authentication- and
> >>	authorization-related flags would require protection, to guard
> 
> Just to make sure I understand the question right: s/flags/AVPs/?
> 
> >>	against deletion to prevent the operation from taking place,
> >>	or to spoof the result.  This also illustrates confusion between
> >>	the need for integrity protection vs. confidentiality.  It
> >>	would be good to give some general guidance, for the benefit
> >>	of people defining Diameter applications.
> > 
> > 
> > Any suggestions from the list on this one?
> 
> Its a good question. I guess the main concern with "MAY Encr" column
> settings has been to protect user-related information such as user
> names. Some of the other information, such as type of auth/authz event
> may be necessary for intermediate agents. This kind of 
> background should
> be stated in the base spec (but it isn't at the moment I think). Is
> there a specific AVP that appears to have a wrong setting?

I don't think so, if someone has an opinion, speak up, because I am soon 
planning on submitting the draft.

John

---

From: Jari Arkko <[email-masked]>
Date: Tue, 03 Dec 2002 18:39:52 +0200

> Does the existing explanation still stand, or do you can you provide one?

I think the explanation is fine, but the name of the column is very
misleading. So just change the name.

Jari